package com.szr.zdryztpg;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

import javax.servlet.MultipartConfigElement;


/**
 * @author loray
 */

@EnableFeignClients
@EnableSwagger2WebMvc
@EnableDiscoveryClient
@SpringBootApplication(scanBasePackages = {"com.szr.data.scope", "com.szr.zdryztpg"})
@EnableScheduling
public class ZdryztpgApplication extends SpringBootServletInitializer {

    public static void main(String[] args) {
        SpringApplication.run(ZdryztpgApplication.class, args);
    }


    @Bean
    public RestTemplate restTemplate(){
        return new RestTemplate();
    }


    /**
     * 文件上传临时路径
     */
    @Bean
    MultipartConfigElement multipartConfigElement() {
        MultipartConfigFactory factory = new MultipartConfigFactory();
        factory.setLocation("/usr/share/nginx/tmp/");
        return factory.createMultipartConfig();
    }
}
