package com.szr.zdryztpg.config;

import feign.RequestInterceptor;
import feign.RequestTemplate;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * @ClassName FeignConfiguration
 * @Description TODO
 * @Author wyj
 * @Date 2023/6/2 10:09
 * @Version 1.0
 **/

@Configuration
@Slf4j
public class FeignConfiguration implements RequestInterceptor {
    @Override
    public void apply(RequestTemplate template) {
        if (template.url().contains("selectAndRun") || template.url().contains("saveInvoiceInfo") || template.url().contains("queryInvoiceInfo")) {
            // 如果需要排除，则不执行任何操作
            return;
        }
        ServletRequestAttributes attributes = (ServletRequestAttributes)
                RequestContextHolder.getRequestAttributes();
        if(attributes !=null) {
            HttpServletRequest request = attributes.getRequest();
            if (request != null) {
                String userId = request.getHeader("userId");
                log.info("警情质量检查 发送feign调用前的请求用户为:{}", userId);
                template.header("userId", userId);
            } else {
                return;
            }
        } else {
            template.header("userId", "19441");
        }

    }
}
