package com.szr.zdryztpg.controller;

import com.szr.common.model.BaseResponse;
import com.szr.common.model.PageUtil;
import com.szr.zdryztpg.model.*;
import com.szr.zdryztpg.service.ZdryJcjdztpgInfoService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * 重点人员监控检查质态评估
 *
 * @author loray
 * @date 2023/9/3 18:39
 */
@Slf4j
@Api(tags = "重点人员检查监督质态评估")
@RestController
@RequestMapping("/zdryztpg")
public class ZdryztpgController {


    @Resource
    private ZdryJcjdztpgInfoService zdryJcjdztpgInfoService;

    @ApiOperation(value = "分页列表")
    @PostMapping("/pageList")
    public BaseResponse<PageUtil<ZtpgPageListVO>> queryCheckInfo(@RequestBody ZtpgPageListDTO params) {
//        PageUtil<CheckInfoPageListVO> pageUtil = new PageUtil<>();
        PageUtil<ZtpgPageListVO> pageUtil = zdryJcjdztpgInfoService.queryPageList(params);
        return BaseResponse.buildResponse()
                .setCode(200)
                .setObj(pageUtil)
                .build();
    }

}
