package com.szr.zdryztpg.exceptions;

import com.szr.common.exceptions.GlobalException;
import com.szr.common.model.BaseResponse;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

/**
 * @ClassName: GlobalExceptionHandler
 * @Description: 全局异常处理
 * @Author: liujianli
 * @Date: 2019/12/19 18:51
 * @Version: v1.0
 */
@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler {
    @ExceptionHandler(GlobalException.class)
    public BaseResponse globalExceptionExecute(GlobalException globalException){
        return BaseResponse.buildResponse().setCode(globalException.getCode()).setMessage(globalException.getMessage()).build();
    }
}
