package com.szr.zdryztpg.exceptions;

import com.szr.common.model.ReturnCode;
import com.szr.zdryztpg.enums.StopPaymentReturnCode;

/**
 * @author huangc
 * 商机推进异常类
 */
public class StopPaymentBizException extends Exception {
	/**
	 *
	 */
	private static final long serialVersionUID = 2330922353068856388L;

	private ReturnCode returnCode;

	private StopPaymentReturnCode stopPaymentReturnCode;

	public StopPaymentReturnCode getStopPaymentReturnCode() {
		return stopPaymentReturnCode;
	}

	public void setStopPaymentReturnCode(StopPaymentReturnCode stopPaymentReturnCode) {
		this.stopPaymentReturnCode = stopPaymentReturnCode;
	}

	public StopPaymentBizException() {
		super();
	}

	public StopPaymentBizException(ReturnCode returnCode) {
		super(returnCode.getMsg());
		this.returnCode = returnCode;
	}

	public StopPaymentBizException(StopPaymentReturnCode returnCode) {
		super(returnCode.getMsg());
		this.stopPaymentReturnCode = returnCode;
	}

	public StopPaymentBizException(String message) {
		super(message);
	}

	public StopPaymentBizException(String message, Throwable cause) {
		super(message, cause);
	}

	public ReturnCode getReturnCode() {
		return returnCode;
	}

	public void setReturnCode(ReturnCode returnCode) {
		this.returnCode = returnCode;
	}
	
	
}
