package com.szr.zdryztpg.model;

import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Objects;

@Data
public class Department implements Comparable{
    private Integer id;

    private String departmentId;

    private String departmentName;

    private String departmentType;

    private String parentId;

    private String effective;

    private Date createTime;

    private Date updateTime;

    private List<Department> children = new ArrayList<>();

    @Override
    public int compareTo(Object o) {
        Department  tree =(Department) o;
        return this.getId().compareTo(tree.getId());
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Department that = (Department) o;
        return id.equals(that.id);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id);
    }
}