package com.szr.zdryztpg.service.impl;

import com.szr.common.model.PageUtil;
import com.szr.data.scope.annotation.DataScope;
import com.szr.zdryztpg.entity.ZdryJcjdztpgInfo;
import com.szr.zdryztpg.mapper.ZdryJcjdztpgInfoMapper;
import com.szr.zdryztpg.model.ZtpgPageListDTO;
import com.szr.zdryztpg.model.ZtpgPageListVO;
import com.szr.zdryztpg.service.ZdryJcjdztpgInfoService;
import com.szr.zdryztpg.utils.SzrBeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 重点人员检查监督质态评估-实现类
 *
 * @author loray
 * @date 2024/1/7 19:48
 */
@Service
public class ZdryJcjdztpgServiceImpl implements ZdryJcjdztpgInfoService {

    @Resource
    private ZdryJcjdztpgInfoMapper zdryJcjdztpgInfoMapper;

    @Override
    @DataScope(mainAlias = "zji")
    public PageUtil<ZtpgPageListVO> queryPageList(ZtpgPageListDTO params) {
        int beginIndex = (params.getPage() - 1) * params.getPageSize() + 1;
        int endIndex = params.getPage() * params.getPageSize();
        params.setBeginIndex(beginIndex);
        params.setEndIndex(endIndex);


        //查询信息
        int counts = zdryJcjdztpgInfoMapper.countByParams(params);
        List<ZdryJcjdztpgInfo> zdryJcjdztpgInfos = zdryJcjdztpgInfoMapper.queryListByPage(params);
        List<ZtpgPageListVO> checkInfoPageListVOS = SzrBeanUtils.copyProperties4List(zdryJcjdztpgInfos, ZtpgPageListVO.class);

        return new PageUtil<>(counts, params.getPage(), params.getPageSize(), checkInfoPageListVOS);
    }
}
